<?php
define('NTLCMS', 1);
$module = 'listtask';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
$page_title = 'Страница списка заданий - клик клуба ' . strtoupper($_SERVER['HTTP_HOST']);
include ('../system/head.php');
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
echo '<div class="title"><b>'.razd.' Список заданий</b></div>';
$sql = DB :: run() -> query("select * from `jobs_category`");
while ($data = $sql -> fetch(PDO::FETCH_OBJ)){
$names[$data -> id] = $data -> name;
}
$k_post = DB :: run() -> querySingle("select count(`id`) from `jobs` where `done` = '0' and `accept` = '1'");
$k_page = k_page($k_post, $onpage); 
$page = page($k_page); 
$start = $onpage * $page - $onpage;
$sql = DB :: run() -> query("select * from `jobs` where `done` = '0' and `accept` = '1' order by `id` asc limit ".$start.", ".$onpage);
if ($k_post == 0){
echo '<div class="error"><center><i class="fa fa-close fa-fw"></i> Задания отсутсвуют!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){
echo '<div class="menu">
#'.$row -> id.'. <b>'.$row -> name.'</b> (Оплата  '.coins($row -> pay).')<br/>
<i class="fa fa-list-alt fa-fw"></i> <b>Описание:</b> '.substr($row -> about, 0, 100).'...<br/>	
<i class="fa fa-folder-o fa-fw"></i> <b>Категория:</b> '.$names[$row -> category].'<br/>
<i class="fa fa-newspaper-o fa-fw"></i> <a href="'.URL.'/showtask'.$row -> id.'">Просмотр задания</a></div>';
}
if ($k_page > 1) navigation(URL.'/listtask?', $k_page, $page);
}
echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/tasks">Задания пользователей</a></div>';				
include ('../system/foot.php');
?>